Index: src/pitch/pitch.h
===================================================================
--- src/pitch/pitch.h	(revision e7e11bfb5b9dde59d259eca1438a807277655a0c)
+++ src/pitch/pitch.h	(revision b173ca14d2eb00b49c1bfdd75a1fa8cb8b32cc46)
@@ -32,4 +32,6 @@
   This file creates the objects required for the computation of the selected
   pitch detection algorithm and output the results, in midi note or Hz.
+
+  \example pitch/test-pitch.c
 
 */
Index: src/pitch/pitchfcomb.h
===================================================================
--- src/pitch/pitchfcomb.h	(revision e7e11bfb5b9dde59d259eca1438a807277655a0c)
+++ src/pitch/pitchfcomb.h	(revision b173ca14d2eb00b49c1bfdd75a1fa8cb8b32cc46)
@@ -28,6 +28,8 @@
    This file was derived from the tuneit project, written by Mario Lang to
    detect the fundamental frequency of a sound.
-   
-   see http://delysid.org/tuneit.html 
+
+   See http://delysid.org/tuneit.html
+
+   \example pitch/test-pitchfcomb.c
 
 */
@@ -43,10 +45,10 @@
 typedef struct _aubio_pitchfcomb_t aubio_pitchfcomb_t;
 
-/** execute pitch detection on an input buffer 
- 
+/** execute pitch detection on an input buffer
+
   \param p pitch detection object as returned by new_aubio_pitchfcomb
-  \param input input signal window (length as specified at creation time) 
+  \param input input signal window (length as specified at creation time)
   \param output pitch candidates in bins
- 
+
 */
 void aubio_pitchfcomb_do (aubio_pitchfcomb_t * p, fvec_t * input,
@@ -54,15 +56,15 @@
 
 /** creation of the pitch detection object
- 
-  \param buf_size size of the input buffer to analyse 
-  \param hop_size step size between two consecutive analysis instant 
- 
+
+  \param buf_size size of the input buffer to analyse
+  \param hop_size step size between two consecutive analysis instant
+
 */
 aubio_pitchfcomb_t *new_aubio_pitchfcomb (uint_t buf_size, uint_t hop_size);
 
 /** deletion of the pitch detection object
- 
+
   \param p pitch detection object as returned by new_aubio_pitchfcomb
- 
+
 */
 void del_aubio_pitchfcomb (aubio_pitchfcomb_t * p);
Index: src/pitch/pitchmcomb.h
===================================================================
--- src/pitch/pitchmcomb.h	(revision e7e11bfb5b9dde59d259eca1438a807277655a0c)
+++ src/pitch/pitchmcomb.h	(revision b173ca14d2eb00b49c1bfdd75a1fa8cb8b32cc46)
@@ -24,5 +24,5 @@
 
   This fundamental frequency estimation algorithm implements spectral
-  flattening, multi-comb filtering and peak histogramming. 
+  flattening, multi-comb filtering and peak histogramming.
 
   This method was designed by Juan P. Bello and described in:
@@ -31,4 +31,6 @@
   Music''.  PhD thesis, Centre for Digital Music, Queen Mary University of
   London, London, UK, 2003.
+
+  \example pitch/test-pitchmcomb.c
 
 */
@@ -45,25 +47,25 @@
 
 /** execute pitch detection on an input spectral frame
- 
+
   \param p pitch detection object as returned by new_aubio_pitchmcomb
-  \param fftgrain input signal spectrum as computed by aubio_pvoc_do 
- 
+  \param in_fftgrain input signal spectrum as computed by aubio_pvoc_do
+  \param out_cands pitch candidate frequenciess, in bins
+
 */
-void aubio_pitchmcomb_do (aubio_pitchmcomb_t * p, cvec_t * fftgrain,
-    fvec_t * output);
+void aubio_pitchmcomb_do (aubio_pitchmcomb_t * p, cvec_t * in_fftgrain,
+    fvec_t * out_cands);
 
 /** creation of the pitch detection object
- 
-  \param buf_size size of the input buffer to analyse 
-  \param hop_size step size between two consecutive analysis instant 
-  \param samplerate sampling rate of the signal 
- 
+
+  \param buf_size size of the input buffer to analyse
+  \param hop_size step size between two consecutive analysis instant
+
 */
 aubio_pitchmcomb_t *new_aubio_pitchmcomb (uint_t buf_size, uint_t hop_size);
 
 /** deletion of the pitch detection object
- 
+
   \param p pitch detection object as returned by new_aubio_pitchfcomb
- 
+
 */
 void del_aubio_pitchmcomb (aubio_pitchmcomb_t * p);
@@ -73,3 +75,3 @@
 #endif
 
-#endif/*PITCHMCOMB_H*/ 
+#endif /* PITCHMCOMB_H */
Index: src/pitch/pitchschmitt.h
===================================================================
--- src/pitch/pitchschmitt.h	(revision e7e11bfb5b9dde59d259eca1438a807277655a0c)
+++ src/pitch/pitchschmitt.h	(revision b173ca14d2eb00b49c1bfdd75a1fa8cb8b32cc46)
@@ -19,8 +19,8 @@
 */
 
-/** \file 
+/** \file
 
-   Pitch detection using a Schmitt trigger 
- 
+   Pitch detection using a Schmitt trigger
+
    This pitch extraction method implements a Schmitt trigger to estimate the
    period of a signal.
@@ -28,6 +28,8 @@
    This file was derived from the tuneit project, written by Mario Lang to
    detect the fundamental frequency of a sound.
-   
-   see http://delysid.org/tuneit.html 
+
+   See http://delysid.org/tuneit.html
+
+   \example pitch/test-pitchschmitt.c
 
 */
@@ -43,25 +45,25 @@
 typedef struct _aubio_pitchschmitt_t aubio_pitchschmitt_t;
 
-/** execute pitch detection on an input buffer 
- 
-  \param p pitch detection object as returned by new_aubio_pitchschmitt 
-  \param input input signal window (length as specified at creation time) 
-  \param output pitch period estimates, in samples
- 
+/** execute pitch detection on an input buffer
+
+  \param p pitch detection object as returned by new_aubio_pitchschmitt
+  \param samples_in input signal vector (length as specified at creation time)
+  \param cands_out pitch period estimates, in samples
+
 */
-void aubio_pitchschmitt_do (aubio_pitchschmitt_t * p, fvec_t * in,
-    fvec_t * out);
+void aubio_pitchschmitt_do (aubio_pitchschmitt_t * p, fvec_t * samples_in,
+    fvec_t * cands_out);
 
 /** creation of the pitch detection object
- 
-  \param buf_size size of the input buffer to analyse 
- 
+
+  \param buf_size size of the input buffer to analyse
+
 */
 aubio_pitchschmitt_t *new_aubio_pitchschmitt (uint_t buf_size);
 
 /** deletion of the pitch detection object
- 
-  \param p pitch detection object as returned by new_aubio_pitchschmitt 
- 
+
+  \param p pitch detection object as returned by new_aubio_pitchschmitt
+
 */
 void del_aubio_pitchschmitt (aubio_pitchschmitt_t * p);
Index: src/pitch/pitchyin.h
===================================================================
--- src/pitch/pitchyin.h	(revision e7e11bfb5b9dde59d259eca1438a807277655a0c)
+++ src/pitch/pitchyin.h	(revision b173ca14d2eb00b49c1bfdd75a1fa8cb8b32cc46)
@@ -19,14 +19,14 @@
 */
 
-/** \file 
-  
+/** \file
+
   Pitch detection using the YIN algorithm
- 
+
   This algorithm was developped by A. de Cheveigne and H. Kawahara and
   published in:
-  
+
   De Cheveigné, A., Kawahara, H. (2002) "YIN, a fundamental frequency
-  estimator for speech and music", J. Acoust. Soc. Am. 111, 1917-1930.  
- 
+  estimator for speech and music", J. Acoust. Soc. Am. 111, 1917-1930.
+
   see http://recherche.ircam.fr/equipes/pcm/pub/people/cheveign.html
 
@@ -44,30 +44,30 @@
 
 /** creation of the pitch detection object
- 
-  \param buf_size size of the input buffer to analyse 
- 
+
+  \param buf_size size of the input buffer to analyse
+
 */
 aubio_pitchyin_t *new_aubio_pitchyin (uint_t buf_size);
 
 /** deletion of the pitch detection object
- 
-  \param p pitch detection object as returned by new_aubio_pitchyin()
- 
+
+  \param o pitch detection object as returned by new_aubio_pitchyin()
+
 */
 void del_aubio_pitchyin (aubio_pitchyin_t * o);
 
-/** execute pitch detection on an input buffer 
- 
-  \param p pitch detection object as returned by new_aubio_pitchyin()
-  \param input input signal window (length as specified at creation time) 
-  \param tol tolerance parameter for minima selection [default 0.85] 
- 
+/** execute pitch detection an input buffer
+
+  \param o pitch detection object as returned by new_aubio_pitchyin()
+  \param samples_in input signal vector (length as specified at creation time)
+  \param cands_out pitch period candidates, in samples
+
 */
-void aubio_pitchyin_do (aubio_pitchyin_t * o, fvec_t * in, fvec_t * out);
+void aubio_pitchyin_do (aubio_pitchyin_t * o, fvec_t * samples_in, fvec_t * cands_out);
 
 
-/** set tolerance parameter for YIN algorithm 
-  
-  \param o YIN pitch detection object 
+/** set tolerance parameter for YIN algorithm
+
+  \param o YIN pitch detection object
   \param tol tolerance parameter for minima selection [default 0.15]
 
@@ -75,7 +75,7 @@
 uint_t aubio_pitchyin_set_tolerance (aubio_pitchyin_t * o, smpl_t tol);
 
-/** get tolerance parameter for YIN algorithm 
-  
-  \param o YIN pitch detection object 
+/** get tolerance parameter for YIN algorithm
+
+  \param o YIN pitch detection object
   \return tolerance parameter for minima selection [default 0.15]
 
@@ -87,3 +87,3 @@
 #endif
 
-#endif /*PITCHYIN_H*/ 
+#endif /*PITCHYIN_H*/
Index: src/pitch/pitchyinfft.h
===================================================================
--- src/pitch/pitchyinfft.h	(revision e7e11bfb5b9dde59d259eca1438a807277655a0c)
+++ src/pitch/pitchyinfft.h	(revision b173ca14d2eb00b49c1bfdd75a1fa8cb8b32cc46)
@@ -46,10 +46,10 @@
 /** execute pitch detection on an input buffer 
  
-  \param p pitch detection object as returned by new_aubio_pitchyinfft
-  \param input input signal window (length as specified at creation time) 
-  \param output pitch period candidates, in samples
+  \param o pitch detection object as returned by new_aubio_pitchyinfft
+  \param samples_in input signal vector (length as specified at creation time)
+  \param cands_out pitch period candidates, in samples
  
 */
-void aubio_pitchyinfft_do (aubio_pitchyinfft_t * p, fvec_t * in, fvec_t * out);
+void aubio_pitchyinfft_do (aubio_pitchyinfft_t * o, fvec_t * samples_in, fvec_t * cands_out);
 /** creation of the pitch detection object
  
@@ -60,8 +60,8 @@
 /** deletion of the pitch detection object
  
-  \param p pitch detection object as returned by new_aubio_pitchyinfft()
+  \param o pitch detection object as returned by new_aubio_pitchyinfft()
  
 */
-void del_aubio_pitchyinfft (aubio_pitchyinfft_t * p);
+void del_aubio_pitchyinfft (aubio_pitchyinfft_t * o);
 
 /** get tolerance parameter for YIN algorithm 
@@ -72,5 +72,5 @@
 
 */
-smpl_t aubio_pitchyinfft_get_tolerance (aubio_pitchyinfft_t * p);
+smpl_t aubio_pitchyinfft_get_tolerance (aubio_pitchyinfft_t * o);
 
 /** set tolerance parameter for YIN algorithm 
@@ -80,5 +80,5 @@
 
 */
-uint_t aubio_pitchyinfft_set_tolerance (aubio_pitchyinfft_t * p, smpl_t tol);
+uint_t aubio_pitchyinfft_set_tolerance (aubio_pitchyinfft_t * o, smpl_t tol);
 
 #ifdef __cplusplus
